Subject: Re: more semantics checking

From: Zheng Gengbin <[email-masked]>
Date: Sun, 19 Jan 1997 19:56:02 +0800 (EAT)

On Wed, 15 Jan 1997, Xiaoming Li wrote:

> 
> 1. hpfsc should report error for
> 
>       program t
>       real :: a(100),b(105)
> !HPF$      processors p(4)
> !HPF$      align a (:) with b(:)
> !HPF$      distribute b  (block) onto  p
>       end program
>

	yes , it should report error , but some cases if the boundry
is  not constant , semantic checking cannot perform . I will improve
this .

> 2. We are starting the effort for HPF 2.0 front-end, do you
>    have resource to embark on semantics checking again ?
> 

	I don't know  if HPF 1.0 is  different from 2.0 greatly ,but
I think	at present  , it seems that we have not enough enery to  do
this. What we concern now is if we can produce correct node program .
I am now engaged in improving  the  transG so that it can pass  all  the
program it  should pass  . Anyway I am willing to spent some time on
the upgrade of frontend .
        And our another concern  is the efficiency . My question is why
we must devide forall construct to forall statement , if so the same index
caculation should be done many time ,which is time consuming .

PS,
	I have spent several days to  transport succesfully our whole 
project include front-end , mpi ,adlib and pcrc on Linux 2.0.0 .
I have to do some modification to mpi , pcrc , and adlib . Also , since
our transG is newer than adlib , which cannot recognize the new variable
pcrc_group_root and pcrc_group_glob , our work is somewhat blocked .
Please send us a latest version of adlib and pcrc interface .

Zheng

---

From: Zheng Gengbin <[email-masked]>
Date: Mon, 20 Jan 1997 22:29:54 +0800 (EAT)

This bug has been removed .

Zheng